Download it now!
Bug 71150 - BUGZILLAASSISTANT: Still able to file bugs against EOL versions
Summary: BUGZILLAASSISTANT: Still able to file bugs against EOL versions
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
3.3 all versions
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-01 23:56 UTC by Robinson Tryon (qubit)
Modified: 2013-12-10 21:27 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-11-01 23:56:35 UTC
Problem description: 
https://wiki.documentfoundation.org/QA/Meetings/2013/November_04#PENDING_ITEM:_Updates_to_the_BSA

Steps to reproduce:
1. Open BSA
2. Pick the 'WWW' Component
3. Pick the 'BUGZILLAASSISTANT' subcomponent
4. Version the bug appeared: 3.3. all versions
5. OS: All
6. Latest-know-working version: NONE

Current behavior:
I can file a bug against an EOL version of LibreOffice using the BSA.

Expected behavior:
Using the BSA, I should only be able to file bugs against current versions of LibreOffice

[This bug is the demonstration that it's still possible to file this type of bug using the BSA]
Operating System: All
Version: 3.3 all versions
Comment 1 Robinson Tryon (qubit) 2013-11-02 01:13:18 UTC
Adding Rob
Comment 2 Rob Snelders 2013-11-12 21:16:34 UTC
Still possible
Comment 3 retired 2013-11-13 11:09:42 UTC
I'm all in for this. I understand the policy of LO not only offering the latest stable build (currently 4.1.3.2) but also 4.0.6 for more stability.

But we should encourage users very strongly to only file bugs against those two stable builds. We could use later for everything else and have the user specify the version in the report if they e.g. work in a company and have no control over which LO version is being used.

Currently incentives to use the latest stable release are much to low. This would be an important step (amongst others), so +1 from my side!
Comment 4 Robinson Tryon (qubit) 2013-12-05 01:30:32 UTC
We can get a list of current stable versions of LibreOffice from here:
http://download.documentfoundation.org/libreoffice/stable/

[Note: That list might be a little behind the EOL dates per the ReleasePlan page, but it won't lag more than about a month]

Rob wonders: Can we get that list in something easier to parse, such as JSON or XML?

Cloph - Thoughts on how difficult it would be to output in a different format?

---

In the meantime, we can have an hourly cron job parse the page with something like this:
qubit@lo~$ sed -n 's/.*<td><a href="\([^/]*\)\/.*[0-9][0-9]-.*/\1/p' stable.htm
4.0.6
4.1.3

Actually, JSON would be even easier to deal with:
sed -n 's/.*<td><a href="\([^/]*\)\/.*[0-9][0-9]-.*/"\1"/p' stable.htm | paste -s -d, | sed 's/\(.*\)/[\1]/' > /somewhere/for/bsa/stable-versions.json

Cheers!
Comment 5 Rob Snelders 2013-12-05 19:08:39 UTC
Mirrorbrain has no API for this, unfortunatly. I don't know how the libreoffice update-checker is formatted.
It is at http://update.libreoffice.org/check.php but I can't access it as i'm not libreoffice (don't know how it checks)
Comment 6 Robinson Tryon (qubit) 2013-12-06 00:08:04 UTC
(In reply to comment #5)
> I don't know how the libreoffice update-checker is formatted.
> It is at http://update.libreoffice.org/check.php but I can't access it as
> i'm not libreoffice (don't know how it checks)

The updater currently has all of the data embedded into the php file. I'd like to automate the addition of build-hashes upon each new release ANYHOW, so we should split that data out into a separate file or store it in a db first.
Comment 7 Robinson Tryon (qubit) 2013-12-10 19:47:10 UTC
Updated algorithm has been included as of https://github.com/tdf/www-bugassistant/commit/682708133b4bc7f2ad96cb76bc41e8ad602940d9

Site updated today. Looks solved to me.

Joren - try to break this, please?
Comment 8 Jorendc 2013-12-10 19:57:42 UTC
(In reply to comment #7)
> Updated algorithm has been included as of
> https://github.com/tdf/www-bugassistant/commit/
> 682708133b4bc7f2ad96cb76bc41e8ad602940d9
> 
> Site updated today. Looks solved to me.
> 
> Joren - try to break this, please?

Sadly I can't. Tested with Firefox 26 and Safari 7.0.
Looks fixed to me :)?
Comment 9 Robinson Tryon (qubit) 2013-12-10 20:06:27 UTC
done de done done
Comment 10 retired 2013-12-10 21:27:22 UTC
Woot! Wanted this for so long :)